Unable to install module restapps Endpoint Manager module version 15.0.52.6 is required you have 15.0.38

FreePBX 15.0.23.25
Dashboard shows error You have a disabled module. The following modules are disabled because they need to be upgraded:
restapps

You should go to the module admin page to fix these.

fwconsole ma install restapps
Detected Missing Dependency of: endpoint 15.0.52.6
Downloading Missing Dependency of: endpoint 15.0.52.6
Processing endpoint
Verifying local module download…Verified
Extracting…Done
Module endpoint successfully downloaded
Installing Missing Dependency of: endpoint 15.0.52.6
Create symlink…Done
Checking database tables…Done
Migrating tables as required…Done
Checking Settings and Defaults…Done
DPMA support in EPM has been improved in latest release, please use EPM->DPMA Management → Migrate option to migrate to new DPMA functionality. Configured D series phones might go down if we dont follow the migration steps.
Generating Configs…Done
Downloading Firmware…Done (Background)
Generating CSS…Done
Installed Missing Dependency of: endpoint 15.0.52.6
Dependency module endpoint version 15.0.52.6 is Enabled
Unable to install module restapps:

  • EndPoint Manager module version 15.0.52.6 or higher is required, you have 15.0.38

I also tried fwconsole ma downloadinstall endpoint --edge
But it still installs 15.0.38 and I get the same error message. What needs done to resolve this?

Try

fwconsole ma downloadinstall endpoint --tag 15.0.52.6

fwconsole ma downloadinstall endpoint --tag 15.0.52.6
No repos specified, using: [standard,commercial] from last GUI settings

Unable to update module endpoint - 15.0.52.6, it does not exist:
Updating Hooks…Done
Chowning directories…Done

Assume you’ve paid for the commercial option for additional brands and the support has now expired.

You either need to pay for support or contact support to get them to revert your deployment to the free version of EPM for Sangoma phones.

No this is the free version. Using Digium phones.

But have you ever paid for EPM? What does it say in SysAdmin under Activation

Yep so that is the commercial version and support has expired.

You will need to create a customer service ticket and ask them to revert to the free version. You will then be able to get updates again.

Is there a way to revert to the free version without contacting support? I don’t want to pay for support to open a ticket to go back to a free version.

You don’t need to pay for support to raise a ticket for customer service/billing.

And no there isn’t another way.

I have the same issue and I do have commercial Endpoint Manager currently licensed, any ideas?

Installed Missing Dependency of: endpoint 15.0.52.6
Dependency module endpoint version 15.0.52.6 is Enabled
Unable to install module restapps:

  • EndPoint Manager module version 15.0.52.6 or higher is required, you have 15.0.52.4
    Updating Hooks…Done
    Chowning directories…Done
    [[email protected] mike]# fwconsole ma downloadinstall endpoint --tag 15.0.52.6
    No repos specified, using: [standard,unknown,commercial] from last GUI settings

Unable to update module endpoint - 15.0.52.6, it does not exist:

Registered Modules

Endpoint Manager

Expiration Date 2041-09-23 (Updates and support until 2023-09-29)

Looks like someone gone and messed up the Restapps update then and put a dependency for a module version not yet released.

You will need to report either via issues.sangoma.com or as you have support you can report through the support.sangoma.com

issues.sangoma.com

Not work?

403 Forbidden

Request forbidden by administrative rules.

The phone number for Sangoma doesn’t work either, Immediately get a recording The person at 110 is unavailable, I’m sorry an error has occurred…

After this ‘fwconsole ma updateall’, restapps was disabled due to the EPM version issue.

To get restapps back working, as a temporary measure, might this work, to downgrade restapps, I assume this is the right syntax to downgrade?

fwconsole ma downloadinstall restapps --tag 15.0.36

Sorry, that should be issues.freepbx.org

Yes that’s the correct syntax.

Looks like you have renewed the license yesterday, It can take up to 24 hours for your PBX to be able to download it.

Good spot, didn’t notice the date.

This worked, as a temporary measure to get restapps working again:

fwconsole ma downloadinstall restapps --tag 15.0.36